<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>
						    <h4 class="card-title">
						        <span *ngIf="cabang">{{cabang?.kode}} - {{cabang?.nama}} </span>
						        <span *ngIf="!cabang">MENU LAPORAN REGISTRASI ROYA</span>
						    </h4>
						    <br/>
						    </div>
        			<div class="card-body">
        			<mat-accordion>
					  <!-- <mat-expansion-panel (opened)="panelOpenState = true" (closed)="panelOpenState = false"> -->
					  <mat-expansion-panel [disabled]="true" [expanded]="true">
					    <mat-expansion-panel-header>
					      <mat-panel-title>
					        <span class="textH">FILTER PENCARIAN</span>
					      </mat-panel-title>
					      <!-- <mat-panel-description>
					        Currently I am {{panelOpenState ? 'open' : 'closed'}}
					      </mat-panel-description> -->
					    </mat-expansion-panel-header>
								<div class="row">
							    	<div class="col-md-2"  [formGroup]="editForm">
							            <div class="input-group mb-3" >
							                  <select class="form-control textH" name="ppd" formControlName="ppd" id="field_sistem" (change)="onChange($event.target.value)">
							                      <option class="textH" value="" selected disabled>PILIH PENCARIAN</option>
							                      <option value="tgl" class="textH">TANGGAL PROSES</option>
							                      <option value="bln" class="textH">BULAN PROSES</option>
							                  </select>
										</div>
							         </div>
							        <div class="col-md-5">
							            <div class="input-group mb-4">
							                 <span *ngIf="sPpd">
							                	<input type="date" class="form-control textH" name="date" [(ngModel)]="date" (ngModelChange)="searchPpd('ppdDate')" required/>
											 </span> 
											 <span *ngIf="!sPpd">
							               		 <input type="month" class="form-control textH" name="month" [(ngModel)]="month" (ngModelChange)="searchPpd('ppdMonth')" required/>
											 </span>
							            </div>
							        </div>
							        <div class="col-md-2">
									</div>
							        <div class="col-md-3 input-group" [formGroup]="ppkGroup">
										<input type="text" class="form-control textH"  name="ppknomor" id="ppknomor" placeholder="Cari nomor kontrak..." formControlName="ppknomor">
										<button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="searchppk('ppkNomor')">
						                        <i class="material-icons">search</i>
						                </button>
									</div>
							    </div>
					  </mat-expansion-panel  [disabled]="true" [expanded]="true">
					</mat-accordion>
        			<br/>
			            <jhi-alert-error></jhi-alert-error>
			            <div class="table-responsive-sm" *ngIf="sertifikats?.length > 0">
						        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
						            <tbody>
						            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)" class="textH">
							            <td scope="col" class="d-sm-table-cell"><span>TGL PROSES</span></td>
							            <td scope="col" class="d-sm-table-cell">NO KONTRAK</td>
							           <!-- <td scope="col" class="d-none d-sm-table-cell">TGL LUNAS</td>-->
							            <td scope="col" class="d-none d-sm-table-cell">NAMA NOTARIS</td>
							            <!--<td scope="col" class="d-none d-sm-table-cell text-center">WIL KERJA</td>-->
							            <td scope="col" class="d-none d-sm-table-cell">SERTIFIKAT FIDUSIA</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center">TGL SERTIFIKAT</td>
							            <td scope="col" class="d-sm-table-cell text-center">STATUS</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center">KETERANGAN</td>
							            <td scope="col" class="d-sm-table-cell text-center">NO ROYA</td>
							            <td scope="col" class=" d-sm-table-cell">TGL ROYA</td>
						            </tr>
						            </tbody>
						            <tbody>
						            <tr *ngFor="let sertifikat of sertifikats let i= index" class="textB">
						                <td class=" d-sm-table-cell">{{sertifikat.tglOrder | date:'dd-MM-yyyy'}}</td>
						                <td class="d-sm-table-cell">{{sertifikat.uniqueKey}}</td>
						               <!-- <td class="d-none d-sm-table-cell text-center">{{sertifikat.tglLunas | date:'dd-MM-yyyy'}}</td>-->
						                <td class="d-none d-sm-table-cell text-left">{{sertifikat.namaNotarisOri}}</td>
						               <!-- <td class="d-none d-sm-table-cell text-center">{{sertifikat.wilNotarisOri}}</td>-->
						                <td class="d-none d-sm-table-cell text-center">{{sertifikat.noSertifikatOri}}</td>
						                <td class="d-none d-sm-table-cell text-center">{{sertifikat.tglSertifikatOri | date:'dd-MM-yyyy'}}</td>
						                <td class="d-sm-table-cell text-center">{{sertifikat.status}}</td>
						                <td class="d-none d-sm-table-cell text-center">
											<span *ngIf="!sertifikat.message">-</span>
											<span *ngIf="sertifikat.message">{{sertifikat.message}}</span>
										</td>
						                <td class="d-sm-table-cell text-center">
											<span *ngIf="!sertifikat.noRoya">-</span>
											<span *ngIf="sertifikat.noRoya">
												<a (click)="viewRoya(sertifikat.uniqueKey)"  class="textmiring">{{sertifikat.noRoya}}</a></span>
										</td>
						                <td class="d-sm-table-cell text-center">
											<span *ngIf="!sertifikat.tglRoya">-</span>
											<span *ngIf="sertifikat.tglRoya">{{sertifikat.tglRoya | date:'dd-MM-yyyy'}}</span></td>
						            </tr>
						            </tbody>
						        </table>
						</div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
			        </div>
			    </div>
        			</div>
			</div>
		</div>
	</div>
</div>